This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 434622 - synergyc frequently pausing/hanging/locking, unusable
synergyc frequently pausing/hanging/locking, unusable
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: synergy (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-23 09:57 EST by Hrunting Johnson
Modified: 2008-03-09 10:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 10:00:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Trace of synergyc while the pausing is happening (4.57 MB, text/plain)
2008-02-23 09:57 EST, Hrunting Johnson
no flags Details

  None (edit)
Description Hrunting Johnson 2008-02-23 09:57:31 EST
Description of problem:
Synergy's client frequently pauses on FC8 system.  The same version (1.3.1) of
the client ran perfectly well on the same box as an FC6 system before that box
was upgraded to FC8.  Client machine (Fedora, problem box) is connected via
100Mb full-duplex ethernet to a wireless router.  The host machine is a Windows
Vista box connected via 802.11g wireless.  Again, this same configuration worked
identically the same day before the upgrade from fully upgraded FC6 to FC8.

Raising the priority of the synergyc process does not fix the problem.  Moving
the host machine from a wireless connection to a directly wired connection does
not fix the problem.  The synergyc process is running as a user account, not root.


Version-Release number of selected component (if applicable):
1.3.1-5.fc8


How reproducible:
Always


Steps to Reproduce:
1. Connect synergyc to host computer
2. Move mouse over to system with synergyc
3. Move mouse around on screen (or type with keyboard)
  

Actual results:
After 2-15 seconds, the mouse will begin stuttering and pausing.  If typing on
the keyboard, it will appear as if things are very laggy.  Pauses may last
anywhere from 5-15 seconds.  Once the pausing starts, it continues very frequently.


Expected results:
No pauses.


Additional info:
Attached is an strace of synergyc while the locking is happening.
Comment 1 Hrunting Johnson 2008-02-23 09:57:32 EST
Created attachment 295701 [details]
Trace of synergyc while the pausing is happening
Comment 2 Hrunting Johnson 2008-03-09 10:00:36 EDT
I think ultimately this was a problem with the 2.6.23 kernel.  I've recently
updated to the latest 2.6.24.3 kernel release and I haven't had the problem
since.  I guess synergy didn't like that initial merge of CFQ.

Note You need to log in before you can comment on or make changes to this bug.